package de.fitko.fitconnect.api.domain.model.event;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@NoArgsConstructor
public class EventLog {

  @JsonProperty("count")
  private Integer count;

  @JsonProperty("offset")
  private Integer offset;

  @JsonProperty("totalCount")
  private Integer totalCount;

  @JsonProperty("eventLog")
  private List<String> eventLog = new ArrayList<>();

}

