package de.fitko.fitconnect.api.domain.model.metadata.attachment.signature;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import de.fitko.fitconnect.api.domain.model.metadata.EidasAdesProfile;
import de.fitko.fitconnect.api.domain.model.metadata.SignatureFormat;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Signature__1 {

    @JsonProperty("signatureFormat")
    private SignatureFormat signatureFormat;

    @JsonProperty("eidasAdesProfile")
    private EidasAdesProfile eidasAdesProfile;

    @JsonProperty("detachedSignature")
    private Boolean detachedSignature;

    @JsonProperty("content")
    private String content;

    @JsonIgnore
    private Map<String, Object> additionalProperties;
}

