package de.fitko.fitconnect.client.cmd;

import de.fitko.fitconnect.client.factory.ClientFactory;

import java.io.IOException;

public class CommandLineRunner {

    public static void main(final String[] args) throws IOException {
        final var senderClient = ClientFactory.senderClient();
        final var subscriberClient = ClientFactory.subscriberClient();
        new CommandLineClient(senderClient, subscriberClient).run(args);
    }
}
